#!/usr/local/bin/ruby
#-*-Ruby-*-
# $Id: mhccat.cgi,v 1.7 1999-06-14 23:05:55+09 os Exp os $

require "web-mhc-conf"
require "WEBMHC"
require "MHC"
require "cgi-lib"
require "kconv"
include Kconv

$query = CGI.new

def error(str)
  print "Content-Type: text/plain\n\n"
  print str
  exit 1
end

file = $query['file']
error("Specify the schedule file.\n") unless (file)
error("Couldn't open the schedule file.\n") unless (file =~ /^[\dA-Za-z\/]+$/)

type = $query['type'] if ($query['type'])

if (type =~ /html/i)
  print "Content-Type: text/html\n"
else
  print "Content-Type: text/plain\n"
end
print "\n"

f = open(MHCFolder + '/' + file)

if (type =~ /html/i)

  print <<EOT
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html lang=ja>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-2022-JP">
<title>schedule</title>
</head>

<body>
<pre>
EOT

  while f.gets
    s = toeuc($_)
    CGI::escapeHTML(s)
    print tojis(s)
  end

  print <<EOT
</pre>
</body>
</html>
EOT

else
  while f.gets
    print
  end
end

f.close

exit 0
